# class KFilterBase |
Contains pure virtuals
Definition | `#include <kfilterbase.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Result { OK, END, ERROR }

#### Public Methods

- KFilterBase ()
- virtual ~KFilterBase ()
- void setDevice ( QIODevice * dev )
- QIODevice * device ()
- virtual void init ()
- virtual void terminate ()
- virtual void reset ()
- virtual bool readHeader ()
- virtual void setOutBuffer ( char * data, uint maxlen )
- virtual void setInBuffer ( char * data, uint size )
- virtual bool inBufferEmpty () const
- virtual int inBufferAvailable () const
- virtual bool outBufferFull () const
- virtual int outBufferAvailable () const
- virtual Result uncompress ()

#### Public Static Methods

- static KFilterBase * findFilterByFileName ( const QString & fileName )
- static KFilterBase * findFilterByMimeType ( const QString & mimeType )

#### Protected Members

- QIODevice * m_dev

## Detailed Description

KFilterBase () | ### KFilterBase

~KFilterBase () | ### ~KFilterBase

[virtual]

void setDevice ( QIODevice * dev ) | ### setDevice

QIODevice * device () | ### device

void init () | ### init

[virtual]

void terminate () | ### terminate

[virtual]

void reset () | ### reset

[virtual]

bool readHeader () | ### readHeader

[pure virtual]

void setOutBuffer ( char * data, uint maxlen ) | ### setOutBuffer

[pure virtual]

void setInBuffer ( char * data, uint size ) | ### setInBuffer

[pure virtual]

bool inBufferEmpty () | ### inBufferEmpty

[const virtual]

int inBufferAvailable () | ### inBufferAvailable

[const pure virtual]

bool outBufferFull () | ### outBufferFull

[const virtual]

int outBufferAvailable () | ### outBufferAvailable

[const pure virtual]

enum Result { OK, END, ERROR } | ### Result

Result uncompress () | ### uncompress

[pure virtual]

KFilterBase * findFilterByFileName ( const QString & fileName ) | ### findFilterByFileName

[static]

Call this to create the appropriate filter for the file named @fileName.

KFilterBase * findFilterByMimeType ( const QString & mimeType ) | ### findFilterByMimeType

[static]

Call this to create the appropriate filter for the mimetype `mimeType`. For instance application/x-gzip.

QIODevice * m_dev | ### m_dev

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.